QGIS Application - Feature request #7066

Geoprocessing impossible if field names are too long

2013-01-29 01:04 AM - Bernhard Strobl

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 16150
Description

currently geoprocessing (e.g. Intersect, Union) aborts if field names in one of the input layers are too long
An error message is returned to the user. However there are cases where naming the field is not under the control of the user (no write
access to shapefiles, only SELECT rights on PostGIS tables etc.). This is a bad user experience and absolutely not necessary because

IMHO there are two possible solutions.

1. more automatic: Truncate the problematic field names but make sure they are unique in the result

2. more user-oriented: let the user assign an alias to the problematic fields and use this

3. (best): combine both: use the alias and if none is given truncate

History

#1 - 2014-06-28 07:43 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#2 - 2017-01-02 05:50 AM - Giovanni Manghi
- Category changed from 44 to Processing/QGIS

#3 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#4 - 2018-02-02 09:03 AM - Alexander Bruy
- Resolution set to fixed/implemented
- Status changed from Open to Closed

- Description updated

Fixed in master. You can save to Geopackage and this is a default behavior.

2025-05-17

1/1




